#include<bits/stdc++.h>

using namespace std;

int main(){
    int n, m;
    cin>>n>>m;
    vector<int> a(m);
    int suma=0;
    for(int i=0;i<m;i++){
        cin>>a[i];
        
    }
    cout<<1;
    return 0;
}